\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{doc}[2004/04/01 v1.1 typeset chapter like section]
%\usepackage[dvips]{graphicx}
%\usepackage[dvips]{color}
\usepackage{epsfig}
%\usepackage{a4wide}
\usepackage{color}
\usepackage{here}
\usepackage{psboxit}
\usepackage{colortbl}
\usepackage{wrapfig}
\usepackage{amsmath}
\usepackage{fancyheadings}
\usepackage{fancybox}
\usepackage[danish]{babel}
\usepackage[latin1]{inputenc}
\usepackage[danish]{varioref}
\usepackage{listings}
\usepackage[pdftex,colorlinks=true,
                      pdfstartview=FitV,
                      linkcolor=blue,
                      citecolor=black,
                      urlcolor=darkblue,
                      pdfpagetransition=Split,
                      pdfpagelayout=SinglePage,
          ]{hyperref}
\pdfinfo{
  /Title      (Vision Kalibrering)
  /Author     (Tobias Nielsen)
  /Keywords   (Vision C++ Math Robotics)
}

%\graphicspath{{./}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Color setup
\definecolor{darkblue}%
   {rgb}{0,0,0.5}
\definecolor{colRed}%
   {rgb}{1,0,0}
\definecolor{colSection}%
   {rgb}{1,0.8,0.8}
\definecolor{colSvaggul}%
   {rgb}{1,1,0.8}
\definecolor{colKeyword}%
   {rgb}{0,0,1}
\definecolor{colComment}%
   {rgb}{0,0.4,0}
\definecolor{colIdentifier}%
   {rgb}{0.2, 0.1, 0}
\definecolor{colChapterPage}%
   {rgb}{0.4,0.6,0.5}
\definecolor{colChapterTextBackground}%
  {rgb}{0.6,0.8,0.7}
%% end color setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% begin figure control
\newcommand{\@infig}[1]{%
  \input{#1.pdftex_t}%
}
\newcommand{\inWFig}[4]{%
  \begin{wrapfigure}{#1}{#2}%
    \begin{center}%
      \@infig{#3}%
    \end{center}%
    \caption{#4}\label{fig:#3}%
  \end{wrapfigure}%
}
\newcommand{\inFWFig}[4]{%
  \begin{wrapfigure}{#1}{#2}%
    \begin{center}%
      \resizebox{0.99\linewidth}{!}{\@infig{#3}}%
    \end{center}%
    \caption{#4}\label{fig:#3}%
  \end{wrapfigure}%
}

\newcommand{\inRFig}[2]{%
  \inWFig{r}{0.5\linewidth}{#1}{#2}%
}

\newcommand{\inFRFig}[2]{%
  \inFWFig{r}{0.5\linewidth}{#1}{#2}%
}

\newcommand{\inFRDFig}[3]{%
  \inFWFig{r}{#1\linewidth}{#2}{#3}%
}

\newcommand{\inFig}[2]{%
  \begin{figure}[htbp]%
    \begin{center}
      \resizebox{\linewidth}{!}{\@infig{#1}}%
      \caption{#2}\label{fig:1}%
    \end{center}
  \end{figure}%
}

\newcommand{\inDFig}[3]{%
  \begin{figure}[htbp]%
    \begin{center}
      \resizebox{#1\linewidth}{!}{\@infig{#2}}%
      \caption{#3}\label{fig:#2}%
    \end{center}
  \end{figure}%
}
%% end figure controll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Layout section
\newenvironment{Quote}{\centering \begin{minipage}{0.9\linewidth}\em}{\end{minipage}\vspace{12pt}\par}

\def\@newsections{
\def\section##1{%
  %  \secdef{section}{#1}
  \parskip 0 true cm
  \parindent 0 true cm
  \refstepcounter{section}
  \addcontentsline{toc}{section}%
 		  {\numberline{\thesection}##1}
  		  \par\vspace{2\baselineskip}%
  		  \noindent%
  		      {\normalfont\sffamily\Large\bfseries{\hspace{-1in} %
  			  \colorbox{colSection}{\begin{minipage}{0.6in}
  			      \centering 
  			      \thesection
  			  \end{minipage}}
 			  \hspace{0.1in} ##1}}\par
 		      \parskip 0.2 true cm
 		      \parindent 0 true cm
}
}
\@newsections

\def\sectionAuthor#1{\addtocontents{aut}{#1}}
\setcounter{secnumdepth}{10}


\newcommand\@latexchapter{
  \renewcommand{\@makechapterhead}[1]{%
    \thispagestyle{empty}
    %\pagecolor{colChapterPage}
    \begin{minipage}{\linewidth}
      \setlength\parindent{0cm}
      \vspace{7in} \par
      \colorbox{colChapterTextBackground}{\begin{minipage}{7.2in}\centering
          \vspace{0.5em}
          \textcolor{red}{{\Huge\bf\emph \@chapapp\ \bf\emph\thechapter:}}
	  \setlength\baselineskip{35pt}
				 { \renewcommand\familydefault{cmss}%
				   \LARGE\bf ##1}\vspace{0.5em}
      \end{minipage}}
    \end{minipage}
    \newpage
    \pagecolor{white}
  }
 }

%\@latexchapter



\def\TODO#1{}%{{\Large TODO: \textcolor{colRed}{#1}}}
\def\ipl{\emph{\bf IPL98}\cite{ipl}\hspace{0.3em}}
\def\videndo{\emph{\bf VIDENDO}\hspace{0.3em}}
\def\TCP{\emph{TCP}\hspace{0.3em}}

\newcommand{\MyHookSign}{\hbox{\ensuremath\hookleftarrow}}
%
\lstset{% general command to set parameter(s)
	language=C++,
	basicstyle=\ttfamily\small,
        identifierstyle=\color{colIdentifier},
        keywordstyle=\color{colKeyword},
        commentstyle=\color{colComment},
        backgroundcolor=\color{colSvaggul},
	stringstyle=\color{red},
	tabsize=4,
	tab=$\to$,
	float=tbph,
	extendedchars,
	breaklines,
	prebreak={\space\MyHookSign},
	frame=single,
	showtabs=false,
	showspaces=false,
	showstringspaces=false,
	numberstyle=\tiny,
	numbers=left,
	captionpos=b,
	aboveskip=\bigskipamount
}



\newcommand{\frontpage}{
  \begingroup
  \setlength{\parindent}{0mm}
  \setlength{\parskip}{0mm}
  \begin{minipage}{1.03\linewidth}
    \resizebox{\linewidth}{!}{\input{forside.pdftex_t}}
  \end{minipage}
  \endgroup
  \newpage
}